from enum import Enum, auto, unique


@unique
class CampaignTypeEnum(Enum):
    PIN_ON_ROUTE = auto()
    BILLBOARD = auto()
    ZERO_SPEED_BANNER = auto()
    CATEGORY_SEARCH = auto()
    ROUTE_BANNER = auto()
    VIA_POINTS = auto()
    OVERVIEW_BANNER = auto()
    PROMOCODE = auto()


@unique
class BillingTypeEnum(Enum):
    CPM = auto()
    CPA = auto()
    FIX = auto()
